(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "tsparticles"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const tsparticles_1 = require("tsparticles");
    $.fn.particles = function () {
        const baseId = "tsparticles";
        const init = (options, callback) => {
            this.each((index, element) => {
                if (element.id === undefined) {
                    element.id = baseId + Math.floor(Math.random() * 1000);
                }
                tsparticles_1.tsParticles.load(element.id, options).then(callback);
            });
        };
        const ajax = (jsonUrl, callback) => {
            this.each((index, element) => {
                if (element.id === undefined) {
                    element.id = baseId + Math.floor(Math.random() * 1000);
                }
                tsparticles_1.tsParticles.loadJSON(element.id, jsonUrl).then(callback);
            });
        };
        return { init, ajax };
    };
});
